Subject: bug#50674: Major mode for etc/AUTHORS with basic font-locking

From: Stefan Kangas <[email-masked]>
Date: Tue, 21 Sep 2021 13:18:02 +0200

Eli Zaretskii <[email-masked]> writes:

> The splash screen button could load the file from any place we want,
> so if that is the problem, I don't understand all the sub-thread about
> where to put the file.  E.g., we could put it in etc/.

I'm also not sure what problem this are trying to solve, indeed.
IIUC, it is that "lisp/textmodes" is too cluttered, or something?

If we put it outside of 'load-path' we can't put it in
'auto-mode-alist', and you can't just M-x etc-authors-mode, etc.